Bug 7354 - backport fixes for CLDAP tsocket problem on solaris
backport fixes for CLDAP tsocket problem on solaris
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Client Tools
3.5.1
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-12 14:51 UTC by Stefan Metzmacher
Modified: 2010-05-11 07:52 UTC (History)
1 user (show)

See Also:


Attachments
Patch for v3-5 (10.42 KB, patch)
2010-04-26 02:40 UTC, Stefan Metzmacher
jra: review+
metze: review? (gd)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2010-04-12 14:51:41 UTC
sendto() doesn't allow sizeof(struct sockaddr_storage).

I'll upload the backports soon, we need them for 3.5.3
Comment 1 Stefan Metzmacher 2010-04-26 02:40:47 UTC
Created attachment 5656 [details]
Patch for v3-5
Comment 2 Stefan Metzmacher 2010-05-10 06:02:37 UTC
Comment on attachment 5656 [details]
Patch for v3-5

Jeremy, can you please review this, so that we can include it in the next release?
Comment 3 Jeremy Allison 2010-05-10 16:38:11 UTC
Comment on attachment 5656 [details]
Patch for v3-5

Looks good to me, although I have not been able to test this on Solaris.

Jeremy.
Comment 4 Stefan Metzmacher 2010-05-11 07:09:42 UTC
Karolin, please pick for the release
Comment 5 Karolin Seeger 2010-05-11 07:52:18 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!